uniform sampler2D baseMap;
varying vec4 eyePosition;
varying vec3 normal;
varying vec3 diffuseColor;
varying vec3 specularColor;
varying vec3 emissiveColor;
varying vec3 ambientColor;
varying float shininess;
varying vec2  vTexCoord;

void main()
{
   const vec3 globalAmbient = vec3(0.6, 0.6, 0.6); // ambientalna komponenta
   vec3 P = vec3(eyePosition);
   vec3 N = normalize(normal);
   vec3 emissive = emissiveColor;
   vec3 ambient  = ambientColor * globalAmbient;
   vec3 L = normalize(vec3(1.0, 0.0, 0.0) - P);
   float diffuseLight = max(dot(N, L), 0.0);
   vec3 diffuse = diffuseColor  * diffuseLight;


// Compute the specular term
vec3 V = normalize(-P);
vec3 H = normalize(L + V);
float specularLight = pow(max(dot(N, H),0.0), shininess);

   if(diffuseLight <= 0) specularLight = 0;
vec3 specular = specularColor  * specularLight;
   gl_FragColor.xyz = texture2D(baseMap, vTexCoord) * (emissive + ambient + diffuse + specular);
   gl_FragColor.w = 1.0;


}
  
